import tkinter

#変数定義
key=""
cx=400
cy=300

#キー押下時の処理
def key_down(e):
    global key
    key=e.keysym
#キーリリース時の処理    
def key_up(e):
    global key
    key=""

#メインプロセス
def main_proc():
    global cx,cy
    if key=="w":
        cy=cy-20
    if key=="x":
        cy=cy+20
    if key=="a":
        cx=cx-20
    if key=="d":
        cx=cx+20
    キャンバス.coords("しろくま",cx,cy)
    ウィンドウ.after(100,main_proc)

#ウィンドウ作成     
ウィンドウ=tkinter.Tk()
ウィンドウ.title("シロクマ")
ウィンドウ.resizable("False","False")
ウィンドウ.bind("<KeyPress>",key_down)
ウィンドウ.bind("<KeyRelease>",key_up)

#キャンバス作成
キャンバス=tkinter.Canvas(width=800,height=600,bg="yellow")
キャンバス.pack()

#ラベル作成
ラベル= tkinter.Label(ウィンドウ,text="上移動:Wキー,下移動:Xキー,右移動:Dキー,左移動:Aキー",font=("BIZ UDPゴシック",20),bg="yellow")
ラベル.place(x=0,y=0)

#画像アップロード
シロクマ=tkinter.PhotoImage(file="image\sirokuma.png")

#画像の配置
キャンバス.create_image(cx,cy,image=シロクマ,tag="しろくま")

main_proc()

#メインループ
ウィンドウ.mainloop()

                        
